中危 Helm 代码问题漏洞

CVE编号

CVE-2022-23526

利用情况

暂无

补丁情况

官方补丁

披露时间

2022-12-16
漏洞描述
Helm是一款Kubernetes包管理器。
Helm 3.10.3之前版本存在代码问题漏洞,该漏洞源于受 the_chartutil_ 包中的 NULL Pointer Dereference 约束,这可能会导致分段违规。
解决建议
建议您更新当前系统或软件至最新版,完成漏洞的修复。
受影响软件情况
# 类型 厂商 产品 版本 影响面
1
运行在以下环境
应用 helm helm * From
(including)
3.0.0
Up to
(excluding)
3.10.3
运行在以下环境
系统 fedora_36 golang-github-need-being-tree * Up to
(excluding)
0.1.0-1.fc36
运行在以下环境
系统 fedora_37 golang-github-need-being-tree * Up to
(excluding)
0.1.0-1.fc37
运行在以下环境
系统 fedora_38 golang-github-need-being-tree * Up to
(excluding)
0.1.0-1.fc38
运行在以下环境
系统 fedora_39 helm * Up to
(excluding)
3.11.1-1.fc39
运行在以下环境
系统 opensuse_Leap_15.3 helm * Up to
(excluding)
3.10.3-150000.1.13.1
运行在以下环境
系统 opensuse_Leap_15.4 helm * Up to
(excluding)
3.10.3-150000.1.13.1
阿里云评分
6.2
  • 攻击路径
    本地
  • 攻击复杂度
    复杂
  • 权限要求
    普通权限
  • 影响范围
    越权影响
  • EXP成熟度
    未验证
  • 补丁情况
    官方补丁
  • 数据保密性
    无影响
  • 数据完整性
    无影响
  • 服务器危害
    无影响
  • 全网数量
    N/A
CWE-ID 漏洞类型
CWE-476 空指针解引用
阿里云安全产品覆盖情况